# directory::get-creation-time

Returns the creation date and time of the specified directory.

### Usage

`datetime directory::get-creation-time(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The directory for which to obtain creation date and time information.

### Return Value

The creation date and time of the specified directory.

### Exceptions

The function will fail in any of the following circumstances:

- The specified directory does not exist.
- path is a zero-length string, contains only white space, or contains one or more invalid characters.
- The specified path, file name, or both exceed the system-defined maximum length.

### Requirements

Assembly: NAnt.Core (0.92.4543.0)